
%global meadversion 1.1.3
%global namedversion 1.1.3.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 1

%bcond_without mead

%define maven_version 1.1.3.redhat-2

Name:           jdom-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JDOM
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jdom-1.1.3.redhat-2-scm-sources.zip
Source102: jdom-1.1.3.redhat-2.jar
Source103: jdom-1.1.3.redhat-2.pom
Source104: jdom-1.1.3.redhat-2-project-sources.tar.gz
Source105: jdom-1.1.3.redhat-2-sources.jar
Source106: jdom-1.1.3.redhat-2-javadoc.jar
%endif

URL:            http://www.jdom.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jdom-eap6-%{namedversion}-%{release}-root

%description
A complete, Java-based solution for accessing, manipulating, and outputting XML
data.

%prep
%setup -q -n jdom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jdom-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jdom-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jdom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jdom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n jdom-eap6
%defattr(0644,root,root,0755)
%if 0
%doc core/CHANGES.txt core/COMMITTERS.txt core/LICENSE.txt core/README.txt core/TODO.txt
%endif
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jdom-%{namedversion}.jar
%{_javadir}/%{name}/jdom.jar
%{_javadir}/%{name}/jdom-%{namedversion}-sources.jar
%{_javadir}/%{name}/jdom-sources.jar

%changelog
* Wed Feb 04 2015 Yong Yang <yyang@redhat.com> - 1.1.3-1.redhat_2.1
- Rebuild with fixed pom

* Wed Feb 04 2015 Yong Yang <yyang@redhat.com> - 1.1.3-1.redhat_1.1
- Rebuild wrapper

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.1.2-6.redhat_4.1
- rebuild with fixed changelog

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.1.2-6.redhat_4.1
- rebuild with fixed changelog

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.1.2-6.redhat_4.1
- rebuild with fixed changelog

* Thu Oct 24 2013 David Walluck <dwalluck@redhat.com> 0:1.1.2-5
- convert to MEAD

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.1.2-4
- Update pom patch for eap 6.0.1

* Wed Aug 15 2012 David Walluck <dwalluck@redhat.com> 0:1.1.2-3
- fix repolib
- fix scope on shortname macro

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.2-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.2-2.GA_redhat_1.1
- Rebuild using cache signing

* Tue Jul 03 2012 David Walluck <dwalluck@redhat.com> 0:1.1.2-2
- fix bad file ownership
- fix Requires in wrong package (fixes maven support)
- BuildRequires: jboss-parent for repolib deploy
- fix Group

* Wed Apr 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.2-1.GA_redhat_1
- Fix Release: tag

* Wed Apr 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.2-0.7.GA_redhat_1.1
- Fix Release: tag

* Wed Apr 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.2-0.6_redhat_1.1
- Update pom patch (vman), Release: tag

* Tue Apr 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1.2-0.5_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.2-0.5_redhat_1.1
- Rebuild using cache signing

* Tue Nov 22 2011 David Walluck <dwalluck@redhat.com> 0:1.1.2-0.5
- add jaxen support

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:1.1.2-0.4
- rebuild due to failed MEAD import

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:1.1.2-0.3
- rebuild due to failed MEAD import

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:1.1.2-0.2
- Requires: jaxen
- fix version
- fix repolib file list
- remove old source tarball from CVS

* Thu Oct 27 2011 David Walluck <dwalluck@redhat.com> 0:1.1.2-0.1
- 1.1.2
- remove GCJ support
- fix javadoc Requires
- fix maven deploy

* Wed Mar 23 2011 Vaclav Tunka <vtunka@redhat.com> 0:1.1.1-2.1
- Merge from RHEL 6
- Rebase to 1.1.1.
- Remove gcj support
- Fix license to be BSD
- Add Requires: xalan-j2
- Fix group names
- Use the RHEL6 jdom-crosslink.patch

* Wed Jan 19 2011 Vaclav Tunka <vtunka@redhat.com> 0:1.0-4.5.1
- Rebuild

* Tue Nov 23 2010 Vaclav Tunka <vtunka@redhat.com> 0:1.0-4.4.1
- Add upload.sh and content of maven2-brew to repolib
- add BuildRequires: maven2
- add BuildRequires: maven-deploy-plugin

* Mon Aug 23 2010 David Walluck <dwalluck@redhat.com> 0:1.0-4.4
- add pom
- add repolib
- drop (Build)Requires: xalan-j2

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0-4.3.1
- rebuilt

* Wed Apr 7 2010 Luiz Barreiros <gbarreir@redhat.com> 0:1.0-4.3
- Rebuild

* Wed Feb 24 2010 Fernando Nasser <fnasser@redhat.com> - 0:1.0-4.2
- Rebuild

* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.0-4jpp.ep1.1
- Rebuild noarch

* Fri Aug 04 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-4jpp.1
- Added missing requirements.
- Remove jaxen requirement, since we don't have it in fc yet.
- Merge with fc spec.

* Tue Apr 11 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-3jpp
- First JPP-1.7 release
- Drop false xalan dependency

* Tue Oct 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2jpp
- Add jaxen to Requires and classpath

* Sat Sep 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- Upgrade to 1.0 final

* Tue Sep 07 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.1jpp
- Upgrade to 1.0-rc1

* Sun Aug 22 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b9.4jpp
- Rebuild with ant-1.6.2

* Mon Jul 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.b9.3jpp
- Add non-versioned javadoc dir symlink.
- Crosslink with local J2SE javadocs.

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b9.2jpp
- fix URL

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b9.1jpp
- b9
- don't use classic compiler

* Thu Mar 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.b8.2jpp
- Adapted to JPackage 1.5.
- Use sed instead of bash 2 extension when symlinking jars during build.

* Wed May 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b8.1jpp
- vendor, distribution, group tags

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b7.6jpp
- versioned dir for javadoc
- requires xalan-j2 >= 2.2.0
- no dependencies for javadoc package
- stricter dependency for demo package
- section macro

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b7.5jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-0.b7.4jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b7.3jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b7.2jpp
- first unified release
- s/jPackage/JPackage

* Mon Sep 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b7.1mdk
- Requires and BuildRequires xalan-j2
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar
- added demo package

*  Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0b6-1mdk
- first Mandrake release
